%define upstream_name    Dist-Zilla-Plugin-ReadmeMarkdownFromPod
%define upstream_version 0.141140

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Automatically convert POD to a README.mkdn for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.120.120
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generate a README.mkdn from 'main_module' by the Pod::Markdown manpage

The code is mostly a copy-paste of the Dist::Zilla::Plugin::ReadmeFromPod
manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.141.140-5.mga6
+ Revision: 1026563
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.141.140-4.mga6
+ Revision: 948341
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.141.140-3.mga5
+ Revision: 739079
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.141.140-1.mga5
+ Revision: 620614
- update to 0.141140

* Fri Oct 18 2013 umeabot <umeabot> 0.120.120-3.mga4
+ Revision: 511141
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.120-2.mga3
+ Revision: 366390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 jquelin <jquelin> 0.120.120-1.mga2
+ Revision: 201934
- update to 0.120120

* Sat Feb 26 2011 jquelin <jquelin> 0.103.510-1.mga1
+ Revision: 60206
- update to 0.103510

* Wed Jan 26 2011 jquelin <jquelin> 0.100.700-2.mga1
+ Revision: 40566
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ReadmeMarkdownFromPod

